Support older Cypress FX2 (not FX2LP) too.
authorUwe Hermann <uwe@hermann-uwe.de>
Thu, 21 Feb 2013 14:46:36 +0000 (15:46 +0100)
committerUwe Hermann <uwe@hermann-uwe.de>
Fri, 22 Feb 2013 07:53:00 +0000 (08:53 +0100)
commit9e7a268db08095e2585d845a51a9e5c89ba90fbd
treec030296ea5d7e78cdc46c44ad9b2aee3b4667239
parent0a7ae4e2b527279c927146dc7b99d9cfd39c1ed2
Support older Cypress FX2 (not FX2LP) too.

The Cypress FX2 chip is an older version of the FX2LP chip with a few
differences that might be relevant for fx2lafw, the major one being
that is has less internal SRAM.

We adapt the linking step to work for both FX2 and FX2LP, thus
keeping only one set of *.fw files for both chip versions.

Changes to the fx2lafw driver in libsigrok are not required.

Some logic analyzer devices such as older USBee SX versions or more recent
devices which use a "fake" FX2LP (which is actually an FX2) need this.

This closes bug #3.
NEWS
configure.ac